
Robotics Service Bus - Tasks #715
Integrate socket-based transport into integration test
11/10/2011 01:00 PM - J. Moringen

Status: Resolved Start date: 11/10/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Language Integration Estimated time: 0.00 hour
Target version: rsb-0.7
Description

Related issues:
Related to Robotics Service Bus - Enhancement # 545: Check if pure TCP Connec... Resolved 09/05/2011

Associated revisions
Revision 9446395b - 11/10/2011 01:31 PM - J. Moringen
Allow flexible transports in test/integrationtest.py
refs #715
    -  test/integrationtest.py: added transport parameter to generation of

  test case method which involved network communication; allow passing
  additional environment variables to child processes; generate
  additional configuration depending on the selected transport; added
  commandline option for specifying transports to test

Revision f036eaaf - 11/10/2011 08:47 PM - J. Moringen
Removed limitations to Spread transport from Lisp programs
refs #715
    -  lisp/common.lisp: removed spread: scheme from URI; load usocket to

  make socket-based transport available, if possible
    -  lisp/informer.lisp: likewise
    -  lisp/listener.lisp: likewise

History
#1 - 11/16/2011 02:59 AM - J. Moringen
- % Done changed from 0 to 70

#2 - 06/27/2012 03:10 AM - J. Moringen
- Status changed from In Progress to Resolved
- Target version changed from rsb-1.0 to rsb-0.7
- % Done changed from 70 to 100

Tests for all languages are implemented and enabled. May still fail at the moment, however.
